Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.interfaces
Interface PKCS12BagAttributeCarrier

All Known Implementing Classes:
  JCEDHPrivateKey, JCEECPrivateKey, JCEElGamalPrivateKey, JCERSAPrivateCrtKey, JCERSAPrivateKey, JDKDSAPrivateKey, JDKGOST3410PrivateKey, X509CertificateObject

    public interface PKCS12BagAttributeCarrier

allow us to set attributes on objects that can go into a PKCS12 store.

Method Summary
`DEREncodable` | `getBagAttribute(DERObjectIdentifier oid)`
`java.util.Enumeration` | `getBagAttributeKeys()`
`void` | `setBagAttribute(DERObjectIdentifier oid, DEREncodable attribute)`

Method Detail

### setBagAttribute

    void setBagAttribute(DERObjectIdentifier oid,
                         DEREncodable attribute)

### getBagAttribute

    DEREncodable getBagAttribute(DERObjectIdentifier oid)

### getBagAttributeKeys

    java.util.Enumeration getBagAttributeKeys()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD